.content-block {
  overflow: hidden;
}

/*** CONTENT SWAPPER ***/

.swapper-content-block-wrapper {
	background-color: var(--gt-pimile-light);
	background-color: #ffffff;
	padding: 0rem;
}


/*** menu and buttons ***/

.main-container button.btn.btn-primary.swap-button,
.main-container button.btn.btn-primary.swap-button:hover,
.main-container button.btn.btn-primary.swap-button:focus,
.main-container button.btn.btn-primary.swap-button:active {
	position: relative;
	outline: none !important;
	box-shadow: none;
	border-color: transparent;
	border: 0;
	border: 1px solid #f7f8f9;
	padding: 1rem 1.5rem;
	margin: 0;
	font-size: 1.1rem;
	font-weight: 500;
	border-radius: 0;
	transition: .4s ease-in-out;
}

.main-container button.btn.btn-primary.swap-button:hover,
.main-container button.btn.btn-primary.swap-button.active,
.main-container button.btn.btn-primary.swap-button:active {
	background: #f7f8f9;
	color: var(--gt-md-gold);
	margin-top: 6px;
}

.main-container button.btn.btn-primary.swap-button:hover:before,
.main-container button.btn.btn-primary.swap-button.active:before,
.main-container button.btn.btn-primary.swap-button:active:before {
	content: "";
	display: block;
	position: absolute;
	left: 0;
	top:0;
	margin-top: -6px;
	height: 6px;
	width: 100%;
	background-color: var(--gt-gold);
}

/*** content ***/

.swapper-content-wrapper {
	background-color: #f7f8f9;
	position: relative;
	float: left;
	padding-bottom: 2rem;
	height: 50vh;
	width: 100%;
	border-bottom: 20px solid var(--gt-gold);
	overflow-x: hidden;
  overflow-y: auto;
}

.swapper-content {
	border: 3px solid #f7f8f9;
	position: absolute;
	padding: 2.5rem;
	margin-bottom: 1rem;
	width: 100%;
  transition: all .3s ease-in-out;
  -webkit-transition: all .3s ease-in-out;
  -moz--transition: all .3s ease-in-out;
  left: 0;
  top: 0;
  visibility: hidden;
  opacity: 0;
  overflow: hidden;
  height: 0;
}

.swapper-content.active {
  opacity: 1;
  visibility: visible;
  height: auto;
}

.swapper-content:focus {
	border: 3px solid var(--gt-pimile);
}
